<?php
define('NTOP', 1);
$title = 'Управление категориями';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
require_once('../str/head.php');
reg();
level(2);
switch($act){
		default:
		echo'<div class="topik"><a href="http://'.$set['home'].'/adm_panel/category.php?act=add">Добавить категорию</a></div>';
		$cat = mysql_query("SELECT * FROM `".$prefix."cat` ORDER BY `id` ASC");
		if(mysql_num_rows($cat) > 0)
			{
				while($row = mysql_fetch_assoc($cat))
					{
						echo '<div class="stat"><a href="http://'.$set['home'].'/str/cat.php?act=view&id='.$row['id'].'"><strong>'.$row['name'].'</strong></a><br/>';
						echo '&bull; <a href="http://'.$set['home'].'/adm_panel/category.php?act=del&id='.$row['id'].'">Удалить</a> | <a href="http://'.$set['home'].'/adm_panel/category.php?act=edit&id='.$row['id'].'">Изменить</a></div>';
					}
			}
		else
			{
				echo 'Категорий в Рейтинге Нет! <br/>';
			}
		break;
		case 'del':
		$proverka = mysql_query("SELECT * FROM `".$prefix."cat` WHERE `id` = '".$id."'");
		if(mysql_num_rows($proverka) > 0)
			{
				$array = mysql_fetch_array($proverka);
			}
		else
			{
				echo '<div class="error">';
				echo 'Данной категории нет!<br/>';
				echo '</div>';
			}
		if(!isset($_POST['ok']))
			{
				echo '
				<div class="stat">
				<form action="category.php?act=del&id='.$id.'" method="post">
				При удалении категории '.$array['name'].' переместить все сайты в категорию:<br/>
				<select name="cid">';
				$cats = mysql_query("SELECT * FROM `".$prefix."cat` WHERE `id` != '".$id."' ORDER BY `id` ASC");
				if(mysql_num_rows($cats) > 0)
					{
						while($cat = mysql_fetch_array($cats))
							{
								echo '<option value="'.$cat['id'].'">'.$cat['name'].'</option>';
							}
					}
				echo '
				</select><br/>
				<input type="submit" name="ok" value="Удалить" />
				</form>
				</div>
				';
			}
			else
			{
				$cat_id = isset($_POST['cid']) ? abs(intval($_POST['cid'])) : '';
				if($cat_id == 0)
					{
						echo 'Не выбрана категория в которую перемещать сайты!<br/>';
					}
				$test_new_cat = mysql_query("SELECT * FROM `".$prefix."cat` WHERE `id` = '".$cat_id."'");
				if(mysql_num_rows($test_new_cat) == 0)
					{
						echo 'Категории , в которую вы хотели переместить сайты нет!<br/>';
					}
					else
					{
						$up = mysql_query("UPDATE `".$prefix."sait` SET `category` = '".$cat_id."' WHERE `category` = '".$id."'");
						$del = mysql_query("DELETE FROM `".$prefix."cat` WHERE `id` = '".$id."'");
						if($up AND $del)
							{
								echo '<div class="stat">';
								echo 'Категория '.$array['name'].' удалена!<br/>';
								echo '</div>';
							}
						else
							{
								echo '<div class="error">';
								echo 'Категория '.$array['name'].' не удалена!<br/>';
								echo '</div>';
							}
					}
			}
		break;
		case 'add':
		echo '<div class="topik">Добавление категории</div>';
		if(!isset($_POST['ok']))
			{
				echo '
				<div class="stat">
				<form action="category.php?act=add" method="post">Название (max.30):<br/>
                                                        <input type="text"  class="input" name="name" maxlength="35" value="" /><br>
				<input type="submit" name="ok" value="Добавить"/>
				</form></div>';
			}
		else
			{
				$name = filter($_POST['name']);
				$error = '';
				if(mb_strlen($name) > 30)
					{
						$error .= 'Ошибка!Поле "Имя категории" больше 30 символов<br/>';
					}
				if(!empty($error))
					{
						echo '<div class="stat">';
						echo $error;
						echo '</div>';
					}
				else
					{
						$create = mysql_query("INSERT INTO `".$prefix."cat` SET `name` = '".$name."'");
						if($create)
							{
								echo '<div class="stat">';
								echo 'Категория успешно создана<br/>';
								echo '</div>';
							}
						else
							{
								echo '<div class="stat">';
								echo 'Категория не создана<br/>';
								echo '</div>';
							}
					}
			}
		break;
		case 'edit':
		if($id)
			{
				$isset = mysql_query("SELECT * FROM `".$prefix."cat` WHERE `id` = '".$id."'");
				if(mysql_num_rows($isset) > 0)
					{
						$cat = mysql_fetch_array($isset);
						echo '<div class="topik">Изменение категории</div>';
						if(!isset($_POST['ok']))
							{
								echo '
								<div class="stat">
								<form action="category.php?act=edit&id='.$id.'" method="post">Название (max.30):<br/>
                                                                                                                 <input type="text"  class="input" name="name" maxlength="35" value="" /><br>
								<input type="submit" name="ok" value="Изменить"/>
								</form></div>';
							}
						else
							{
								$name = filter($_POST['name']);
								$error = '';
		
								if(mb_strlen($name) > 30)
									{
										$error .= 'Ошибка!Поле "Имя категории" больше 30 символов<br/>';
									}
					
								if(!empty($error))
									{
										echo '<div class="stat">';
										echo $error;
										echo '</div>';
									}
								else
									{
										$up = mysql_query("UPDATE `".$prefix."cat` SET `name` = '".$name."' WHERE `id` = '".$id."'");
										if($up)
											{
												echo '<div class="stat">';
												echo 'Категория успешно изменена<br/>';
												echo '</div>';
											}
										else
											{
												echo '<div class="error">';
												echo 'Категория не изменена<br/>';
												echo '</div>';
											}
									}
							}
					}
				else
					{
						echo '<div class="error">';
						echo 'Данной категории нет!<br/>';
						echo '</div>';
					}
			}
		else
			{
				echo '<div class="error">';
				echo 'Не выбрана категория!<br/>';
				echo '</div>';
			}
		break;
	}
echo '<div class="main"><a href="http://'.$set['home'].'/adm_panel/index.php">В Админку</a><br/></div>';
require_once('../str/foot.php');
?>
